connectivity_plus_web 0.4.0
connectivity_plus_web: ^0.4.0

Flutter web

An implementation for the web platform of the Flutter `connectivity_plus` plugin. This uses the NetworkInformation Web API, with a fallback to Navigator.onLine.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  connectivity_plus_web: ^0.4.0

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:connectivity_plus_web/connectivity_plus_web.dart';
0
likes
80
pub points
77%
popularity

Publisher

fluttercommunity.dev

An implementation for the web platform of the Flutter `connectivity_plus` plugin. This uses the NetworkInformation Web API, with a fallback to Navigator.onLine.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

BSD (LICENSE)

Dependencies

connectivity_plus_platform_interface, flutter, flutter_web_plugins

More

Packages that depend on connectivity_plus_web